NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.HoleFeatureBuilder Class Reference

Represents a Hole feature builder. More...

Inheritance diagram for NXOpen.Features.HoleFeatureBuilder:
NXOpen.Features.RPOBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  HoleSubtype { Simple, Counterbore, Countersink }
 Represents the subtype of the hole More...
 
- Public Types inherited from NXOpen.Features.RPOBuilder
enum  AssociativityType {
  EndPoint, ArcCenter, Tangency, EndPoint1,
  EndPoint2, VerticalCenterline1, VerticalCenterline2, HorizontalCenterline1,
  HorizontalCenterline2
}
 Represents the associativity type for a dimension entity More...
 

Public Member Functions

unsafe void CreateHole ()
 Creates a hole body which can be positioned More...
 
unsafe NXOpen.Body GetTargetBody ()
 Returns target body for the hole. More...
 
unsafe NXOpen.ISurface GetThruFace ()
 Returns thru face parameter for the hole. More...
 
unsafe void SetCounterboreDepth (string depth)
 Sets the depth of the counterbore for a hole. More...
 
unsafe void SetCounterboreDiameter (string diameter)
 Sets the diameter of the counterbore for a hole. More...
 
unsafe void SetCounterboreHole (NXOpen.Point3d referencePoint, bool reverseDirection, NXOpen.ISurface placementFace, string diameter, string counterboreDiameter, string counterboreDepth)
 Sets parameters for counterbore hole More...
 
unsafe void SetCountersinkAngle (string angle)
 Sets the angle of the countersink for a hole. More...
 
unsafe void SetCountersinkDiameter (string diameter)
 Sets the diameter of the countersink for a hole. More...
 
unsafe void SetCountersinkHole (NXOpen.Point3d referencePoint, bool reverseDirection, NXOpen.ISurface placementFace, string diameter, string countersinkDiameter, string countersinkAngle)
 Sets parameters for countersink hole More...
 
unsafe void SetDepth (string depth)
 Sets the depth of the hole. More...
 
unsafe void SetDepthAndTipAngle (string depth, string tipAngle)
 Sets depth and tip angle parameters for the hole. More...
 
unsafe void SetDiameter (string diameter)
 Sets the diameter of the hole. More...
 
unsafe void SetSimpleHole (NXOpen.Point3d referencePoint, bool reverseDirection, NXOpen.ISurface placementFace, string diameter)
 Sets parameters for simple hole More...
 
unsafe void SetTargetBody (NXOpen.Body targetBody)
 Sets target body for the hole. More...
 
unsafe void SetThruFace (NXOpen.ISurface thruFace)
 Sets thru face parameter for the hole. More...
 
unsafe void SetTipAngle (string tipAngle)
 Sets the tip angle of the hole. More...
 
- Public Member Functions inherited from NXOpen.Features.RPOBuilder
unsafe void ApplyDimensions ()
 Transforms the feature by applying the positioning dimensions More...
 
unsafe NXOpen.Features.RPODimension CreateDimension ()
 Creates a new empty RPODimension object More...
 
unsafe void CreatePositioningDimension ()
 Creates a positioning dimension. More...
 
unsafe void GetReferenceDirection (out NXOpen.IReferenceAxis reference, out NXOpen.AxisOrientation orientation)
 Query/Set a horizontal or vertical reference for the feature. More...
 
unsafe
NXOpen.Features.RPODimension[] 
GetRpoDimensions ()
 Gets the list of RPO dimemsions More...
 
unsafe void HidePositioningDimensions ()
 Hides display of all the positioning dimensions More...
 
unsafe void SetExpression (string expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen.Features.RPOBuilder.SetTargetAndTool . More...
 
unsafe void SetReferenceDirection (NXOpen.IReferenceAxis reference, NXOpen.AxisOrientation orientation)
 Sets a horizontal or vertical reference for the feature. More...
 
unsafe void SetRpoDimensions (NXOpen.Features.RPODimension[] dimensions)
 Sets the list of RPO dimemsions More...
 
unsafe void SetTargetAndTool (NXOpen.PositioningDimension.Subtype subtype, NXOpen.NXObject target, NXOpen.Features.RPOBuilder.AssociativityType targetAssociativity, NXOpen.Point3d targetHelpPoint, NXOpen.NXObject tool, NXOpen.Features.RPOBuilder.AssociativityType toolAssociativity, NXOpen.Point3d toolHelpPoint)
 Sets the target and tool entities. More...
 
unsafe void ShowPositioningDimensions ()
 Displays all the positioning dimensions More...
 
unsafe void UndoLastDimension ()
 Undo the last positioning dimension More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression CounterboreDepth [get]
 Returns the depth of the counterbore for a hole. More...
 
unsafe NXOpen.Expression CounterboreDiameter [get]
 Returns the diameter of the counterbore for a hole. More...
 
unsafe NXOpen.Expression CountersinkAngle [get]
 Returns the angle of the countersink for a hole. More...
 
unsafe NXOpen.Expression CountersinkDiameter [get]
 Returns the diameter of the countersink for a hole. More...
 
unsafe NXOpen.Expression Depth [get]
 Returns the depth of the hole. More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter of the hole. More...
 
unsafe NXOpen.Point3d HoleLocation [get, set]
 Returns or sets the reference point of the hole. More...
 
unsafe NXOpen.ISurface PlacementFace [get, set]
 Returns or sets the placement face of the hole. More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the reverse direction flag of the hole. More...
 
unsafe
NXOpen.Features.HoleFeatureBuilder.HoleSubtype 
Subtype [get, set]
 Returns or sets the type of hole More...
 
unsafe NXOpen.Expression TipAngle [get]
 Returns the tip angle of the hole. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Hole feature builder.

See NXOpen.Features.RPOBuilder for details on positioning the hole.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateHoleFeatureBuilder

Created in NX3.0.0

Member Enumeration Documentation

Represents the subtype of the hole

Enumerator
Simple 

Simple hole

Counterbore 

Counterbore hole

Countersink 

Countersink hole

Member Function Documentation

unsafe void NXOpen.Features.HoleFeatureBuilder.CreateHole ( )
inline

Creates a hole body which can be positioned

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Body NXOpen.Features.HoleFeatureBuilder.GetTargetBody ( )
inline

Returns target body for the hole.

If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Returns
Target Body
unsafe NXOpen.ISurface NXOpen.Features.HoleFeatureBuilder.GetThruFace ( )
inline

Returns thru face parameter for the hole.

If this parameter is set then depth and tip angle are ignored.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Returns
Thru face
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCounterboreDepth ( string  depth)
inline

Sets the depth of the counterbore for a hole.

Only used if the hole type is couterbore

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthcounterbore depth
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCounterboreDiameter ( string  diameter)
inline

Sets the diameter of the counterbore for a hole.

Only used if the hole type is couterbore

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCounterboreHole ( NXOpen.Point3d  referencePoint,
bool  reverseDirection,
NXOpen.ISurface  placementFace,
string  diameter,
string  counterboreDiameter,
string  counterboreDepth 
)
inline

Sets parameters for counterbore hole

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
counterboreDiameterCounterbore diameter
counterboreDepthCounterbore depth
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCountersinkAngle ( string  angle)
inline

Sets the angle of the countersink for a hole.

Only used if the hole type is coutersink

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
anglecountersink angle
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCountersinkDiameter ( string  diameter)
inline

Sets the diameter of the countersink for a hole.

Only used if the hole type is coutersink

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
unsafe void NXOpen.Features.HoleFeatureBuilder.SetCountersinkHole ( NXOpen.Point3d  referencePoint,
bool  reverseDirection,
NXOpen.ISurface  placementFace,
string  diameter,
string  countersinkDiameter,
string  countersinkAngle 
)
inline

Sets parameters for countersink hole

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
countersinkDiameterCountersink diameter
countersinkAngleCountersink angle
unsafe void NXOpen.Features.HoleFeatureBuilder.SetDepth ( string  depth)
inline

Sets the depth of the hole.

If this parameter is set then the thru face is ignored.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
unsafe void NXOpen.Features.HoleFeatureBuilder.SetDepthAndTipAngle ( string  depth,
string  tipAngle 
)
inline

Sets depth and tip angle parameters for the hole.

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
tipAngleTip angle of the tool
unsafe void NXOpen.Features.HoleFeatureBuilder.SetDiameter ( string  diameter)
inline

Sets the diameter of the hole.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
unsafe void NXOpen.Features.HoleFeatureBuilder.SetSimpleHole ( NXOpen.Point3d  referencePoint,
bool  reverseDirection,
NXOpen.ISurface  placementFace,
string  diameter 
)
inline

Sets parameters for simple hole

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
unsafe void NXOpen.Features.HoleFeatureBuilder.SetTargetBody ( NXOpen.Body  targetBody)
inline

Sets target body for the hole.

If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
targetBodyTarget Body
unsafe void NXOpen.Features.HoleFeatureBuilder.SetThruFace ( NXOpen.ISurface  thruFace)
inline

Sets thru face parameter for the hole.

If this parameter is set then depth and tip angle are ignored.

Created in NX3.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
thruFaceThru face
unsafe void NXOpen.Features.HoleFeatureBuilder.SetTipAngle ( string  tipAngle)
inline

Sets the tip angle of the hole.

If this parameter is set then the thru face is ignored.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
tipAngleTip angle

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.CounterboreDepth
get

Returns the depth of the counterbore for a hole.

Only used if the hole type is couterbore

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.CounterboreDiameter
get

Returns the diameter of the counterbore for a hole.

Only used if the hole type is couterbore

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.CountersinkAngle
get

Returns the angle of the countersink for a hole.

Only used if the hole type is coutersink

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.CountersinkDiameter
get

Returns the diameter of the countersink for a hole.

Only used if the hole type is coutersink

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.Depth
get

Returns the depth of the hole.

If this parameter is set then the thru face is ignored.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.Diameter
get

Returns the diameter of the hole.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point3d NXOpen.Features.HoleFeatureBuilder.HoleLocation
getset

Returns or sets the reference point of the hole.

This parameter will position the hole unless relative positioning dimensions are used

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ISurface NXOpen.Features.HoleFeatureBuilder.PlacementFace
getset

Returns or sets the placement face of the hole.

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.HoleFeatureBuilder.ReverseDirection
getset

Returns or sets the reverse direction flag of the hole.

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.HoleFeatureBuilder.HoleSubtype NXOpen.Features.HoleFeatureBuilder.Subtype
getset

Returns or sets the type of hole

Created in NX4.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.HoleFeatureBuilder.TipAngle
get

Returns the tip angle of the hole.

If this parameter is set then the thru face is ignored.

Created in NX4.0.0

License requirements: features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.